#!/usr/bin/bash
# Author: Yingjian
# Date: 2023-5-11
# Version: v1.0

if [ $# -ne 2 ];then
    echo "当前传入参数错误。"
    echo "Please bash $0 \$1 {例如 P7} \$2{例如 mzuofang} \$3{游戏别称} "
    exit 2
fi

#获取本机 公网 ip地址
local_ip=$(/bin/curl http://metadata.tencentyun.com/meta-data/public-ipv4)

#获取脚本目录
cd `dirname $0`
script_dir=`pwd`

#项目目录
project_dir=$1

#平台目录
platform_dir=$2

files_num=`ls /${project_dir}/${platform_dir}/*/log/shushu_log/log.* | wc -l`

if [ "${files_num}" -ge 10000 ];then
  /usr/bin/python3 ${script_dir}/lb_feishu.py "告警时间 : `date "+%Y-%m-%d %H:%M:%S"`,项目 : ${project_dir},平台名称 : ${platform_dir},服务器ip : ${local_ip},告警原因 : logbus文件数量超过阈值 10000,当前logbus文件数量为 ：${files_num}"
fi
